%define	upstream_name	 HTML-Parser
%define	upstream_version 3.62
%define Werror_cflags %nil

Name:           perl-%{upstream_name}
Version:        %{upstream_version}
Release:        %mkrel 11
Summary: 	Perl module to parse HTML documents
License: 	GPL+ or Artistic
Group: 		Development/Perl
URL: 		http://search.cpan.org/dist/%{upstream_name}/
Source0:        http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	perl-HTML-Tagset
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}
Requires: 	perl-HTML-Tagset

%description
HTML::Parser module for Perl to parse and extract information from
HTML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"


%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO Changes
%{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/HTML
%{_mandir}/*/*


%changelog
* Wed Sep 16 2009 Texstar <texstar at gmail.com> 
- fix dependencies

* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update


